#
# spec file for package supportutils (Version 1.20)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (C) 2008-2010 Novell, Inc.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           supportutils
Url:            http://en.opensuse.org/Supportutils
License:        GPL v2 only
Group:          System/Management
AutoReqProv:    on
Version:        1.20
Release:        0.10.29
Source:         %{name}-%{version}.tar.gz
Summary:        Support Troubleshooting Tools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Provides:       supportconfig-plugin-resource
Provides:       supportconfig-plugin-tag

%description
A package containing troubleshooting tools. This package contains the
following: supportconfig, chkbin, schealth



%prep
%setup -q

%build
gzip -9f supportconfig.8
gzip -9f chkbin.8
gzip -9f supportconfig.conf.5
gzip -9f scplugin.rc.3
gzip -9f section_header.3
gzip -9f pconf_files.3
gzip -9f plog_files.3
gzip -9f plugin_message.3
gzip -9f plugin_tag.3
gzip -9f plugin_command.3
gzip -9f validate_rpm.3

%install
pwd;ls -la
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/sbin
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/etc
install -d $RPM_BUILD_ROOT/usr/share/man/man8
install -d $RPM_BUILD_ROOT/usr/share/man/man5
install -d $RPM_BUILD_ROOT/usr/share/man/man3
install -d $RPM_BUILD_ROOT/usr/lib/supportconfig/resources
install -m 544 supportconfig $RPM_BUILD_ROOT/sbin
install -m 644 supportconfig.conf $RPM_BUILD_ROOT/etc
install -m 644 supportconfig.8.gz $RPM_BUILD_ROOT/usr/share/man/man8/supportconfig.8.gz
install -m 644 supportconfig.conf.5.gz $RPM_BUILD_ROOT/usr/share/man/man5/supportconfig.conf.5.gz
install -m 644 scplugin.rc.3.gz $RPM_BUILD_ROOT/usr/share/man/man3/scplugin.rc.3.gz
install -m 644 section_header.3.gz $RPM_BUILD_ROOT/usr/share/man/man3/section_header.3.gz
install -m 644 pconf_files.3.gz $RPM_BUILD_ROOT/usr/share/man/man3/pconf_files.3.gz
install -m 644 plog_files.3.gz $RPM_BUILD_ROOT/usr/share/man/man3/plog_files.3.gz
install -m 644 plugin_message.3.gz $RPM_BUILD_ROOT/usr/share/man/man3/plugin_message.3.gz
install -m 644 plugin_tag.3.gz $RPM_BUILD_ROOT/usr/share/man/man3/plugin_tag.3.gz
install -m 644 plugin_command.3.gz $RPM_BUILD_ROOT/usr/share/man/man3/plugin_command.3.gz
install -m 644 validate_rpm.3.gz $RPM_BUILD_ROOT/usr/share/man/man3/validate_rpm.3.gz
install -m 544 chkbin $RPM_BUILD_ROOT/sbin
install -m 644 chkbin.8.gz $RPM_BUILD_ROOT/usr/share/man/man8/chkbin.8.gz
install -m 755 schealth $RPM_BUILD_ROOT/usr/bin
install -m 644 schealth.conf $RPM_BUILD_ROOT/etc
install -m 444 scplugin.rc $RPM_BUILD_ROOT/usr/lib/supportconfig/resources

%files
%defattr(-,root,root)
/sbin/supportconfig
/sbin/chkbin
/usr/bin/schealth
/usr/lib/supportconfig
/usr/lib/supportconfig/resources
%doc /usr/share/man/man8/supportconfig.8.gz
%doc /usr/share/man/man5/supportconfig.conf.5.gz
%doc /usr/share/man/man8/chkbin.8.gz
%doc /usr/share/man/man3/*
%config /etc/supportconfig.conf
%config /etc/schealth.conf

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Oct 25 2010 jrecord@novell.com 
-added provides: supportconfig-plugin-tag
-changed default route detection (bnc#646973)
-supportconfig: 2.25-237
* Thu Oct 14 2010 jrecord@novell.com 
-changed /opt/supportconfig to /usr/lib/supportconfig (bnc#645418)
-supportconfig: 2.25-236
* Thu Oct  7 2010 jrecord@novell.com 
-fixed errors when virsh not installed
-added scplugin.rc(3) man pages
-added plugin_tag to scplugin.rc (bnc#643575)
-scplugin.rc: 1.0.1-2
-supportconfig: 2.25-235
* Thu Sep 30 2010 jrecord@novell.com 
-added virsh KVM information
-fixed ppc sysfs hang
-included OPTION_KVM in supportconfig.conf
-updated supportconfig.conf(5) with OPTION_KVM
-added NCS *.monitor scripts in novell-ncs.txt (bnc#642837)
-added KVM support in kvm.txt using OPTION_KVM (bnc#637038)
-only provides supportconfig-plugin-resource
-fixed password collection security issue (bnc#638813)
-added openssl to smt.txt (bnc#641126)
-fixed pconf_files redirect error (bnc#640554)
-removed extra section_header definition
-scplugin.rc: 1.0.1-0
-supportconfig: 2.25-234
* Wed Sep  8 2010 jrecord@novell.com 
-added SLES for VMware detection (bnc#637675)
* Fri Aug 27 2010 jrecord@novell.com 
-added a %%B filename qualifier to normalize_base
-added running application pmap data to memory.txt (bnc#635114)
-fixed alsa-info.sh output collector (bnc#632315)
-added ctdb information to ha.txt (bnc#631435)
-fixed third party proc hang (bnc#630470)
-excludes kernel-source rpm validation from boot.txt
-added initrd output to boot.txt (bnc#630497)
-supportconfig: 2.25-223
* Mon Aug  9 2010 jrecord@novell.com 
-fixed logger -b error (bnc#624976)
-fixed hang issue by excluding NSS volume metadata (bnc#624142)
-fixed validate_rpm error in scplugin.rc
-supportconfig: 2.25-216
* Mon Jul 19 2010 jrecord@novell.com 
-added /etc/corosync/corosync.conf to ha.txt (bnc#623364)
-provides supportconfig-plugin-resource-1.0.0
-supportconfig: 2.25-213
* Thu Jul 15 2010 jrecord@novell.com 
-including /opt/supportconfig/resources/scplugin.rc
-added oes-SPident bnc#621190
-added /etc/nologin to pam.txt (bnc#620273)
-added logger messages for supportconfig progress (bnc#619248)
* Fri Jun 18 2010 jrecord@novell.com 
-added SMT repo listing (bnc#604406)
-fixed apparmor loaded module check (bnc#607733)
-standardized basic health check file headers
-supportconfig: 2.25-207
* Wed May 12 2010 jrecord@novell.com 
-added exportfs -v to nfs.txt for more detail
* Tue Apr 27 2010 jrecord@novell.com
-added missing file command for ndsd (bnc#600165)
-added VAR_OPTION_DMESG to log progress in the kernel buffer
-fixed supportconfig hang with multiple NSS volumes (bnc#599594)
-includes /_admin/Manage_NSS/*xml files (bnc#599742)
* Thu Apr 15 2010 jrecord@novell.com 
-added /proc/mounts and /etc/mtab to fs-diskio.txt (bnc#596846)
-added /proc/zoneinfo to memory.txt (bnc#595768)
* Fri Apr  2 2010 jrecord@novell.com 
-config files are preserved or saved as .rpmsave (bnc#593446)
-added samba core file search to crash.txt (bnc#593240)
-excludes core files from samba.txt (bnc#593124)
-improves lvm.txt readability (bnc#593237)
-added alsa-info.sh to hardware.txt (bnc#593123)
-increased verbosity to lsusb (bnc#593129)
-changed lspci -n to -nn (bnc#593128)
-fixed inaccurate basic health tainted module list (bnc#592730)
-fixed long time outs for updates (bnc#592716)
-supportconfig: 2.25-197
* Tue Mar 30 2010 jrecord@novell.com 
-fixed -k lp exclusion (bnc#592316)
-fixed double lsmod listing in modules.txt (bnc#592286)
-added dmsetup ls to lvm.txt, evms.txt, mpio.txt (bnc#592283)
-supportconfig: 2.25-192
* Mon Mar 29 2010 jrecord@novell.com 
-added additional rug time out detection
-added module additional comments
-added -B to supportconfig(8) synopsis
* Fri Mar 26 2010 jrecord@novell.com 
-fixed -t repeated unique directories (bnc#591482)
-fixed occasional nsscon hang (bnc#583349)
-added customized tar ball file name elements (bnc#590620)
  * updated man pages with -B <string> and VAR_OPTION_CUSTOM_ARCH
-added SC_CONF to man pages
-added supportconfig.conf in DOS format (bnc#590382)
* Tue Mar 23 2010 jrecord@novell.com 
-added SMT repoindex test (bnc#572339)
-fixed modprobe.conf directory includes (bnc#589985)
-added mcelog to basic-health-check.txt (bnc#584751)
-added suse_register and zmd messages (bnc#587060)
-added module options to modules.txt (bnc#589986)
-added module parameter values to modules.txt (bnc#589448)
* Fri Mar  5 2010 jrecord@novell.com 
-removed duplicate zmd-messages.log (bnc#585866)
-changed supportconfig and chkbin modes to 544 (bnc#581733)
-updated supportconfig.conf(5) man page with OPTION_DHCP
-added OPTION_DHCP to the default supportconfig.conf
-DNS only gets text files in directories
-added Novell DHCP and system DHCP support to dhcp.txt (bnc#577026)
-added Novell DNS support to dns.txt (bnc#577025)
-supportconfig: 2.25-176
* Mon Jan 25 2010 jrecord@novell.com 
-updated script date
-supportconfig: 2.25-173
* Thu Jan 21 2010 jrecord@novell.com 
-fixed kernel/debug hang in sysfs (bnc#572266)
-supportconfig: 2.25-172
* Wed Jan 20 2010 jrecord@novell.com 
-fixed nscd.conf error (bnc#572460)
-fixed dfs log error (bnc#572461)
-supportconfig: 2.25-171
* Wed Jan 20 2010 jrecord@novell.com 
-changed udevinfo to udevadm on sle11 (bnc#571124)
-changed MCE string to machine check exception
-supportconfig: 2.25-170
* Fri Jan 15 2010 jrecord@novell.com 
-added chkbin -a startup option to include all (bnc#570038)
-fixed PPC sysfs hang (bnc#567094)
-fixed sysfs hang (bnc#567759)
-supportconfig: 2.25-167
-chkbin: 1.01-25
* Mon Dec 28 2009 jrecord@novell.com 
-fixed pre_ndsd* and post_ndsd* script locations (bnc#566848)
-added Sun VirtualBox Hypervisor detection (bnc#567439)
-removed lvm check, only check lvm2 (bnc#566095)
-supportconfig: 2.25-165
* Mon Dec 14 2009 jrecord@novell.com 
-fixed DNS proc bindings (bnc#562003)
-fixed sar data file copies (bnc#563810)
-fixed error message when nts_chkbin missing (bnc#564263)
-excludes binary data files from y2log.txt (bnc#559707)
-added Distributed File Services with OPTION_DFS in novell-dfs.txt
  (bnc#564197)
-supportconfig: 2.25-162
* Fri Nov 20 2009 jrecord@novell.com 
-ensured /var/log/messages is the last file in messages.txt (bnc#556950)
-moved chkbin log files to crash.txt
-added autofs5 support (bnc#557395)
-added auditing with OPTION_AUDIT in security-audit.txt (bnc#556954)
* Fri Nov 13 2009 jrecord@novell.com 
-added proxy information to updates.txt (bnc#552252)
* Fri Sep  4 2009 jrecord@novell.com 
-added /etc/sudoers to pam.txt
-added system environment files (bnc#536910)
-changed VAR_OPTION_UPLOAD_TARGET to ftp and VAR_OPTION_UPLOAD_ALT to https
-updated supportconfig.conf(5) with UPLOAD changes
-supportconfig: 2.25-140
* Tue Aug 25 2009 jrecord@novell.com 
-added chkbin logs to messages.txt (bnc#534101)
* Fri Aug 14 2009 jrecord@novell.com 
-fixed /var/lib/suseRegister under SLE9
-added Microsoft Virtual Server VM detection (bnc#531272)
-added application core file list with content (bnc#530144)
-added /var/log/NetworkManager to network.txt (bnc#530383)
-corrected message spelling
* Fri Aug  7 2009 jrecord@novell.com 
-include full NCC details for proxy registration issues (bnc#521622)
-supportconfig exports $LOG for plugins
-fixed ncs resouce log file location (bnc#528616)
-supportconfig: 2.25-136
* Wed Aug  5 2009 jrecord@novell.com 
-installation_sources are collected independently (bnc#524712)
-added additional suse_register information (bnc#520232)
-fixed SMT sensitive data (bnc#522283)
-added NSS snapdate and version information to novell-nss.txt (bnc#528492)
-changed default VAR_OPTION_UPLOAD_TARGET for secure uploads (bnc#507691)
-supportconfig: 2.25-135
* Fri Jul 24 2009 jrecord@novell.com 
-fixed Plugin header label for NSA integration
-added smt-catalogs to smt.txt (bnc#524680)
* Wed Jul 22 2009 jrecord@novell.com 
-added /proc/dasd/devices to proc.txt (bnc#522355)
-fixed unnecessary /proc files (bnc#524305)
* Tue Jul  7 2009 jrecord@novell.com 
-fixed NAM LDAPS connection test (bnc#519708)
-added /etc/init.d listing to chkconfig.txt (bnc#519835)
-added zypper repos to updates.txt
-added NSS option values in novell-nss.txt (bnc#519632)
-added OPTION_SMS for novell-sms.txt (bnc#519595)
-updated supportconfig.conf.5 with OPTION_SMS detail
-supportconfig: 2.25-130
* Thu Jul  2 2009 jrecord@novell.com 
-added -a alternate upload startup switch
-added VAR_OPTION_UPLOAD_ALT that -a uses
-updated the man pages with -a and VAR_OPTION_UPLOAD_ALT
-supportconfig: 2.25-128
* Thu Jul  2 2009 jrecord@novell.com 
-fixed boot.txt elilo directory error (bnc#518814)
-fixed ndspath display issue (bnc#518772)
-added novell-nss status to novell-nss.txt
-supportconfig: 2.25-127
* Mon Jun 29 2009 jrecord@novell.com 
-fixed wifi net disconnect with -k (bnc#388500)
-added Pacemaker HAE for SLE11 (bnc#515741)
-added curl debug command to updates.txt (bnc#515782)
-supportconfig: 2.25-124
* Mon Jun 15 2009 jrecord@novell.com 
-included find /sys in sysfs.txt
-updated supportconfig.conf(5) with OPTION_SYSFS
-added SYS file system OPTION_SYSFS, sysfs.txt (bnc#506579)
-added 15 sec ldapsearch time limit finding certificates (bnc#507197)
-fixed directory symlink reference (bnc#505842)
-fixed /usr/lib* to be noarch (bnc#507714)
-supportconfig: 2.25-120
* Wed May 20 2009 jrecord@novell.com 
-fixed NFS package name for SLE11 to nfs-client (bnc#505744)
-added novcifs commands to novell-cifs.txt (bnc#505744)
-moved eDirectory certificate check to novell-edir.txt
-added virtualization type for Xen
-moved rpm -V to sam in SLE11 with the -v switch
-supportconfig: 2.25-114
* Wed May 13 2009 jrecord@novell.com 
-limited virtualization detection to i386/x86_64 archs
-fixed top 10 sort issue (bnc#503565)
-fixed KVM virtualization detection
-changed network ping test strings to be more readable
-updated KVM virtualization detection
-supportconfig: 2.25-110
* Mon May 11 2009 jrecord@novell.com 
-added SSL certificate expiration dates to novell-lum.txt (bnc#500192)
-added virtualization detection in basic-environment.txt and hardware.txt (bnc#500099)
-added SLE11 device ID to updates.txt (bnc#500103)
-added lscpu to hardware.txt and xen.txt (bnc#500099)
* Mon Apr 27 2009 jrecord@novell.com 
-updated supportconfig.conf(5) man page to include AFP/CIFS
-added eDirectory ndsd arch check (bnc#497586)
-added NSS volume attributes (bnc#496686)
-added real time process check to slert.txt (bnc#496721)
-supportconfig: 2.25-104
* Wed Apr 15 2009 jrecord@novell.com  
-added password policy info to novell-{afp,cifs}.txt (bnc#472071)
-added Novell CIFS support OPTION_CIFS, novell-cifs.txt (bnc#472068)
-added Novell AFP support OPTION_AFP, novell-afp.txt (bnc#472063)
-added NCS ldap check (bnc#491646)
-fixed invalid sam option in basic-environemnt.txt (bnc#495138)
* Tue Mar 24 2009 jrecord@novell.com 
-fixed tarball overwrite (bnc#487475)
-added NSA integration
-updated plugin section header (bnc#481442)
* Tue Feb 24 2009 jrecord@novell.com 
-added title to show_help
-supportconfig: 2.25-96
* Thu Feb 19 2009 jrecord@novell.com 
-fixed tomcat CATALINA_HOME source
-supportconfig: 2.25-95
* Thu Feb 19 2009 jrecord@novell.com 
-added OPTION_WEB for web.txt (bnc#477039)
-added /etc/hosts.nds (bnc#475824)
-supportconfig: 2.25-94
* Tue Feb 10 2009 jrecord@novell.com 
-fixed schealth taint check (bnc#472791)
-moved supportconfig(1) and chkbin(1) to man page section 8
-schealth: 1.00-5
* Fri Jan 30 2009 jrecord@novell.com
-fixed taint status handling (bnc#469094)
-fixed order changes that were missed (bnc#468510)
-supportconfig: 2.25-92
* Wed Jan 28 2009 jrecord@novell.com
-fixed 'network-bridge file not found (bnc#470258)
-fixed symlink directory listing (bnc#469871)
-supportconfig: 2.25-91
* Fri Jan 23 2009 jrecord@novell.com
-added brctl showmacs to network.txt and xen.txt (bnc#469012)
-modified and reorganized xen.txt (bnc#468510)
-supportconfig: 2.25-89
* Wed Jan 21 2009 jrecord@novell.com
-added terminated PIDs to supportconfig.txt
-modified updates.txt with patch checking (bnc#465758)
-added hwinfo --netcard to network.txt (bnc#465891)
-added HP PSP files (bnc#466856)
-supportconfig: 2.25-88
* Fri Jan  9 2009 jrecord@novell.com
-fixed /dev/evms file listings (bnc#464164)
-fixed NCS EventLog.xml location tests (bnc#463867)
-added iptables-save to network.txt (bnc#463862)
-added brctl to network.txt (bnc#463690)
-supportconfig: 2.25-85
* Wed Dec 31 2008 jrecord@novell.com
-added pre_/post_ndsd scripts (bnc#463156)
-Updated SAM interface message
-supportconfig: 2.25-84
* Thu Dec  4 2008 jrecord@novell.com
-rug prefs moved to updates.txt
-fixed supportconfig hang after time out (bnc#448866)
-timed out commands get terminated (bnc#455733)
-supportconfig: 2.25-82
* Tue Dec  2 2008 jrecord@novell.com
-added LUM preferred server ping (bnc#450937)
-moved suseRegister info to updates.txt and included full log
  file (bnc#450947)
-made several changes per (bnc#449622)
-supportconfig: 2.25-80
* Wed Nov 26 2008 jrecord@novell.com
-initialized SKIP in updates
-added --no-abbrev to rug sl (bnc#449308)
-supportconfig: 2.25-73
* Fri Nov 21 2008 jrecord@novell.com
-added -o keyword toggle switch (bnc#447664)
-supportconfig: 2.25-72
* Thu Nov 20 2008 jrecord@novell.com
-echolog not trapped after tar ball (bnc#447212)
-added default ntp log (bnc#447168)
-fixed scp .md5 upload (bnc#446669)
-fixed encrypted uploads (bnc#446146)
-enhanced sbm output
-fixed gpg encryption with -Q (bnc#446647)
  * supportconfig: 2.25-71
* Fri Nov 14 2008 jrecord@novell.com
-added screen buffer mode -b (bnc#444285)
-replaced SPident with sam for SLE11 (bnc#443468)
  * supportconfig: 2.25-65
* Thu Nov  6 2008 jrecord@novell.com
-library paths beginning with ../ are now accepted in chkbin
  * supportconfig: 2.25-61
  * chkbin:        1.01-16
  * schealth:      1.00-3
* Wed Nov  5 2008 jrecord@novell.com
-the .md5 file is uploaded with the tarball
-http(s) silent upload now use case insensitive {TARBALL}
-UPLOAD_TARBALL is set with -U and -u (bnc#440666)
* Tue Nov  4 2008 jrecord@novell.com
-changed evms_gather_info to timed_log_cmd
* Mon Nov  3 2008 jrecord@novell.com
-changed mounted.ocfs2 -f to timed_log_cmd
-changed mounted.ocfs2 -d to timed_log_cmd
* Fri Oct 31 2008 jrecord@novell.com
-fixed -DQ errors (bnc#440675)
-added tarball md5sum
* Wed Oct 29 2008 jrecord@novell.com
-SC_CONF can be set externally (bnc#439923)
-fixed -R relative path errors (bnc#439899)
* Fri Oct 24 2008 jrecord@novell.com
-modified plugin directory security (bnc#438338)
* Thu Oct 23 2008 jrecord@novell.com
-fixed plugin directory security (bnc#438338)
-fixed conf_file reference (bnc#438317)
* Fri Oct 17 2008 jrecord@novell.com
-added plugin skipped (bnc#436655)
-added timed_log_cmd to plugins (bnc#436624)
-fixed executible plugin check (bnc#436625)
-added SMT support in smt.txt (bnc#436627)
* Thu Oct 16 2008 jrecord@novell.com
-SLES10 now includes infiniband probe
-added InfiniBand and disk commands
-added ldconfig and lsof to chkbin
* Wed Oct 15 2008 jrecord@novell.com
-changed VAR_OPTION_UPLOAD_TARGET default to Novell's https
* Tue Oct 14 2008 jrecord@novell.com
-New version:      1.01-15
  * supportconfig: 2.25-35
  * chkbin:        1.01-14
  * schealth:      1.00-3
-cleaned up schealth comments
-uploads to Novell automatically include the -q
-the {TARBALL} reserved word used with -U is now case insensitive
-removed -n, no longer needed. curl -L handles redirects
* Mon Oct 13 2008 jrecord@novell.com
-fixed repeat directory name selection
-fixed including compressed log files (bnc#434896)
-added -q enables the unique id string
-added uuidgen or date +%%s%%N to tarball for uniqueness
-added -n for secure Novell tar ball uploads
* Fri Oct 10 2008 jrecord@novell.com
-added dmesg output in boot.txt
-added InfiniBand support and ib.txt
* Wed Oct  8 2008 jrecord@novell.com
-http/s uploads now require certificates, curl -k removed
-added VAR_OPTION_GPG_UID to select GPG encryption uid
-added GPG encryption for the tar ball
* Thu Sep 25 2008 jrecord@novell.com
-changed BASE FROM_DIRECTORY to look for nts
* Tue Sep 23 2008 jrecord@novell.com
-added rpm verify for sysconfig in network.txt
* Mon Sep 22 2008 jrecord@novell.com
-changed -u so the srnum is not required (fate#305191)
  * Use -r <srnum> with -u when uploading to Novell
* Fri Sep 19 2008 jrecord@novell.com
-updates.txt supports zypper (fate#305226)
-updates-daemon.txt is not used and ignored in SLE11 (fate#305224)
-updated SLES_VER for SLE11 component support (fate#305177)
-added http and https support for -U
-added -y for ADD_OPTION_MINYAST
-changed OPTION_CIM to OPTION_CIMOM in code and man pages
* Thu Sep 18 2008 jrecord@novell.com
-changed OPTION_OPENWBEM to OPTION_CIM in code and man pages
-look for other cim packages (fate#305221)
-fixed plugin directory error (bnc#42750)
* Wed Sep 17 2008 jrecord@novell.com
-New version:     1.01-5
  * supportconfig: 2.25-11
  * chkbin:        1.01-14
  * schealth:      1.00-2
-added -g to save in gzip instead of bzip2 (bnc#425495)
* Wed Sep 17 2008 jrecord@novell.com
-changed all bug reporting URL references to:
  * http://en.opensuse.org/Supportutils#Reporting_Bugs
-changed man page title to "Support Utilities Manual"
-separated conf_files and conf_text_files to get boot.msg (bnc#425631)
* Thu Sep 11 2008 jrecord@novell.com
-changed package name from ntsutils to supportutils
* Tue Sep  9 2008 jrecord@novell.com
-changed to System/Management package group
* Mon Sep  8 2008 jrecord@novell.com
-updated man pages with Store and Terminal indentifiers
-fixed schealth location (bnc#424640)
-added Store and Terminal identifiers (fate#305243)
-added schealth.conf (bnc#420809)
-added ignore options to schealth.conf (bnc#420810)
* Wed Sep  3 2008 jrecord@novell.com
-included /usr/local/bin in PATH (bnc#422623)
-added target/from directory options (bnc#419516)
* Wed Aug 27 2008 jrecord@novell.com
-added -p to disable all plugins
-updated man pages (bnc#420132)
-added full command-line feature support (bnc#413945)
* Mon Aug 25 2008 jrecord@novell.com
-changed plugin directory to /opt/supportconfig/plugins (bnc#420147)
* Fri Aug 22 2008 jrecord@novell.com
-added scp upload support
-added NUMA details to memory.txt (bnc#419558)
-added last reboot info (bnc#415535)
* Fri Aug  1 2008 jrecord@novell.com
-New version:     1.00-80
  * supportconfig: 2.19-66
  * chkbin:        1.01-14
  * schealth:      1.00-1
-fixed schealth limit logic
* Thu Jul 31 2008 jrecord@novell.com
-taint status correctly analyzed (bnc#413348)
* Mon Jul 28 2008 jrecord@novell.com
-novell-ncs.txt gets /var/run/ncs/*out files (bnc#412692)
* Tue Jul 22 2008 jrecord@novell.com
-added -o switch to overwrite basic-health-report.txt
-added schealth to supportconfig as basic_report()
-fixed schealth spaces in path names (bnc#411308)
-added schealth to ntsutils
* Thu Jul 10 2008 jrecord@novell.com
-New version:     1.00-75
  * supportconfig: 2.19-63
  * chkbin:        1.01-14
* Wed Jul  9 2008 jrecord@novell.com
-added mcelog info if present (bnc#407187)
* Tue Jul  8 2008 jrecord@novell.com
-fixed only one dlopen library (bnc#402965)
-added status message to screen output (bnc#402967)
* Thu Jul  3 2008 jrecord@novell.com
-added NSS performance information (bnc#405435)
* Fri Jun 13 2008 jrecord@novell.com
-added conf_files check for ascii file (bnc#398995)
* Thu Jun 12 2008 jrecord@novell.com
-added commit to Makefile
-changed sc-plugins references to supportconfig-plugins
* Wed Jun 11 2008 jrecord@novell.com
-updated Makefile to complete a build
-added %%clean to spec
* Tue Jun 10 2008 jrecord@novell.com
-New version: 1.00-66
-added lsscsi -g to mpio.txt
-added udevinfo to udev.txt
-added ntsutils.changes and moved changes from spec
* Fri Jun  6 2008 jrecord@novell.com
-updated bug reporting URLs
* Wed Jun  4 2008 jrecord@novell.com
-updated SPEC with public url
-checks for missing plugins
-documents plugin errors
-updated supportconfig man pages
-updated ntsutils.spec for OBS
* Thu May 22 2008 jrecord@novell.com
-show plugins as the run (dncs#74)
-added support for all plugins (dncs#73)
* Wed May 21 2008 jrecord@novell.com
-changed the plugin display order (dncs#75)
* Fri May  9 2008 jrecord@novell.com
-New version: 1.00-45
-added -u <srnum> for tar ball uploads (dncs#62)
-increased tmp file security (dncs#71)
* Thu May  8 2008 jrecord@novell.com
-added basic contact and SR# info to basic-environment.txt (dncs#63)
-added -r <srnum> to include the SR#
-a valid sr number is added to the tar ball filename
-added commands to mpio.txt (dncs#68)
-added dmsetup commands to evms.txt and lvm.txt
-added netstat -as to network.txt (dncs#70)
* Wed May  7 2008 jrecord@novell.com
-chkbin errors out with invalid file paths (dncs#65)
-added man page for supportconfig.conf(5) (dncs#67)
-updated supportconfig(1) man page with plugins (dncs#66)
-updated chkbin(1) man page
* Tue May  6 2008 jrecord@novell.com
-optimized log_cmd for piped commands
-added the plugin to the plugin log file
* Mon May  5 2008 jrecord@novell.com
-simplified UI output, details only in logfile (dncs#59)
-degraded dlopen missing from error to warning (dncs#60)
-fixed misspelled word on 330 (dncs#61)
-added newest installed RPMs to rpm.txt (dncs#58)
-added repackaged mpio check (dncs#46)
-added plugin support (dncs#50)
* Wed Apr 30 2008 jrecord@novell.com
-finds correct _ndsdb.ini path for newer eDir (dncs#57)
* Tue Apr 29 2008 jrecord@novell.com
-added ipcs to env.txt (dncs#56)
* Thu Apr 24 2008 jrecord@novell.com
-added -Q for silent run (dncs#41)
-changed AppArmor messages to show reject count (dncs#54)
-top 10 cpu/mem always show header on first line (dncs#55)
-removed exit 0 from supportconfig main (dncs#47)
-networkmanager detection fixed for xen (dncs#48)
-nssstart.cfg correctly found (dncs#45)
-the -l option now includes conf file comments (dncs#49)
-added command timer to skip commands that are hung (dncs#41)
-added VAR_OPTION_BIN_TIMEOUT_SEC for time to wait
* Tue Apr 22 2008 jrecord@novell.com
-ldd paths beginning with . are processed (dncs#51)
-dlopen libraries supported (dncs#52)
-all file input accepted without error (dncs#53)
* Sat Mar  8 2008 jrecord@novell.com
-chkbin: fixed ldd symlinks (dncs#40)
* Tue Feb 26 2008 jrecord@novell.com
-added inode info to basic-healthcheck.txt (dncs#36)
-fixed top 10 lists (dncs#37)
-added mpstat to basic-healthcheck.txt if available (dncs#38)
* Fri Feb  8 2008 jrecord@novell.com
-added dns_info/dns.txt (dncs#35)
-rpm verify ntsutils instead of supportconfig
* Thu Feb  7 2008 jrecord@novell.com
-report package conflict (dncs#34)
-added zmd info to updates-daemon.txt (dncs#33)
* Mon Feb  4 2008 jrecord@novell.com
-added rpm distro output to basic-environment (dncs#30)
-moved sdbutil commands down a few lines in novell-ncs.txt
-created chkbin man page (dncs#31)
-added separator line (dncs#32)
-chkconfig errors go to log
-only UG route used for default route
* Fri Feb  1 2008 jrecord@novell.com
-conf files beginning with // are now excluded as comments
-get /root/autoinst.xml if present (dncs#13)
-optimized conf_files and log_files
-improved xen info (dncs#22)
-changed rcd.txt to updates-daemon.txt
-changed rug.txt to updates.txt
-added suseRegister info to updates-daemon.txt (dncs#26)
-added zmd data to updates-daemon.txt (dncs#29)
-updates appropriate boot loader information (dncs#17)
* Thu Jan 31 2008 jrecord@novell.com
-shortened the tarball name from tar.bz2 to tbz
-added powermt output if EMC PowerPath is used (dncs#24)
-chanaged multipath -l to -ll (dncs#25)
-updated ncs load script directories (dncs#23)
-added owcimomd support as openwbem.txt (dncs#19)
-updated path to sysconfig/ncs for OES2 (dncs#18)
* Wed Jan 30 2008 jrecord@novell.com
-dmidecode added to hardware.txt (dncs#12)
-added ncsd check and host.conf to network.txt (dncs#16)
-added openwbem support (dncs#19)
-added getconf to env.txt (dncs#21)
* Mon Jan 28 2008 jrecord@novell.com
-chkbin: includes LD_LIBRARY_PATH and LD_PRELOAD variables embedded in scripts
-chkbin: non-dynamic executibles identified
-chkbin: check for ldd errors
-chkbin: promoted RPM 'unsolved dependencies' to error
-chkbin: promoted RPM 'missing' to warning
* Wed Jan 23 2008 jrecord@novell.com
-chkbin: continue processing, even if the binary is not owned by an rpm
-chkbin: check for LD_LIBRARY_PATH and LD_PRELOAD in the environment
-chkbin: fetch /etc/ld.so.preload and /etc/ld.so.conf (+includes)
-chkbin: do an md5sum on unowned files
* Wed Nov 14 2007 jrecord@novell.com
-fixed iscsiadm -m hang (dncs#11)
-added basic network/tcp checks (dncs#8)
* Tue Nov 13 2007 jrecord@novell.com
-added s390x vmcp support (dncs#10)
* Mon Nov 12 2007 jrecord@novell.com
-added slert_info/slert.txt (dncs#2)
-fixed grep for audit.log (dncs#9)
-added nscd conf and log to net.txt (dncs#7)
-added confs and slpd.log to slp.txt (dncs#6)
-added conf files to samba.txt (dncs#5)
-added wbinfo to samba.txt (dncs#4)
-updated docs with http://devzilla.novell.com/supportconfig (dncs)
* Mon Nov  5 2007 jrecord@novell.com
-updated man page
-added option to disable autoloaded modules
* Thu Nov  1 2007 jrecord@novell.com
-added additional hostname information
-fixed LUM LDAPS connection status
-moved module_info after basic_environment
-fixed nss path for novell-nss.txt
-added ls output for dibdir to novell-edir.txt
* Wed Oct 31 2007 jrecord@novell.com
-iptables modules must be loaded to check
-rug options used based on rug version
* Wed Sep 12 2007 jrecord@novell.com
-added before.local and after.local to boot.txt
-added pdbedit -L to samba.txt
* Fri Sep  7 2007 jrecord@novell.com
-fixed rcd upgrade check
-added 'ncpcon version' to novell-ncp.txt
-added ocfs messages entries to ocfs2.txt
-added mounted.ocfs2 to ocfs2.txt
-added xm list -l to display more vm details
-added -r to crm_mon; display inactive resources
-edir_info used ndspath to set PATH
-fixed default eDir /opt/novell/eDirectory path
-novell-NDSServ rpm not required for instances
* Mon Aug 13 2007 jrecord@novell.com
-messages.txt includes /var/log/localmessages
-limits pengine logs, unless -l used
-ha.txt now includes /var/log/ha-log /etc/ha_logd.cf and /var/lib/heartbeat/*
-added VAR_OPTION_MIN_Y2LOGS, default is to get all files
-using VAR=0 instead of VAR= to exclude functions
-added /etc/sysconfig/lvm to lvm.txt
-gets nfsserver info only if nfsserver is running
-rpm -e backs up /etc/supportconfig.conf
-switched from /etc/sysconfig/supportconfig to /etc/supportconfig.conf
* Mon Jul 23 2007 jrecord@novell.com
-chkbin: modified display output
-chkbin: output copied to /var/log/nts_chkbin_*.txt file
-chkbin: performs rpm -V only on uniq RPMs
-chkbin: warns if binaries are different
-chkbin: checks for broken symlinks
* Tue Jun  5 2007 jrecord@novell.com
-added boot.omsg to boot.txt
-modified get_sles_ver to detect properly
-excludes zip/gz/bz2/tgz files from /var/log/samba
-fixed ncs un/load script location
-added clstrlib.conf with password omitted
* Wed May 23 2007 jrecord@novell.com
-updated env.txt order
* Fri May 18 2007 jrecord@novell.com
-added xvd disks to parted
-default log file line count is configurable
-include check for incorrect oes update
-include samba logs
-look for vmcore files in crash_info
-optional log dirs can be selected
-added check for successful log dir creation
* Thu May 10 2007 jrecord@novell.com
-changed ps output order to user,pid,ppid,%%cpu,%%mem,vsz,rss,stat,time,cmd
-rpm %%postun removes /etc/sysconfig/supportconfig
* Wed May  9 2007 jrecord@novell.com
-removed SMART check as default, some hardware problematic
-added traps for SIGINT and SIGQUIT
-changed to bash getopts, --long opts no longer supported
-optimized eDir search
-rpm %%post installs default /etc/sysconfig/supportconfig
-/etc/sysconfig/supportconfig turns on/off any info category
-added /etc/sysconfig/supportconfig support
-fixed multiple rpms checked by rpm_verify
-removed siga/sitar dependency
-added lspci, some proc, and others to hardware.txt
-renamed hwinfo.txt to hardware.txt
-added boot.msg to boot.txt
-added iptables filter to network.txt
-added hosts.allow/deny to network.txt
-added sar_info and sar.txt
-added print_info and print.txt
-added ssh_info and ssh.txt
-added x_info and x.txt
-added sysconfig_info and sysconfig.txt
-added proc_info and proc.txt
* Wed Mar 28 2007 jrecord@novell.com
-version format change for rpm format
-name changed from config.sh to supportconfig
-added man page
* Thu Mar 22 2007 jrecord@novell.com
-clarified using GPLv2 license
-removed extra /config.sh.txt file
-added nsswitch.conf automount: check in fs-autofs.txt
-added chkconfig to fs-autofs.txt
-added ldap_info and ldap.txt
-added smartmon_info and fs-smartmon.txt
-added mount to fs-diskio.txt
-added PPID to ps output in basic-health-check.txt
* Mon Mar  5 2007 jrecord@novell.com
-added minimal firewall detection to basic-environment.txt
-changed iostat from -p to -x
-fixed novell-lum LDAPS connection test
-added fibre hba info to fs-diskio.txt & mpio.txt
-more specific on rpm.txt sort order
-fixed SLES10 bad_page and external support taint status
-added -L|--rootfs-list options for fs-files.txt
-added fs-files.txt for root filesystem listing (ie find /)
* Fri Jan  5 2007 jrecord@novell.com
-added -f|--edirsearch start option for eDir 8.8 instances
-added last apparmor reject message to basic-health-check.txt
-apparmor_info now supports SLES9 and SLES10
-added support for eDir 8.8 with multiple instances
-changed filenames from oes-*txt to novell-*txt
-changed function names from oes_ to novell_
-changed umask to 077 for all config.sh files
-added samba_info support
* Tue Nov 21 2006 jrecord@novell.com
-added /proc/devices to lvm.txt
-crash_info doesn't care about OS version
-added memory_info in memory.txt
-added /var/log/warn to messages.txt
-The -l switch applies to rcd/rug/ntp logs too
* Tue Oct 10 2006 jrecord@novell.com
-removed meaningless stonith info
-added open_files for lsof output
-ps changed to wide output
-added partition table backup to fs-diskio.txt
-added analysis files to crash.txt with lkcdutils
-added {pv,vg,lv}display commands and better lvm1 support to lvm_info
-added volume details to oes-ncp.txt
-added ncp2nss.log to oes-ncp.txt
-updated EventLog.xml path to check /_admin and /admin
* Tue Aug 29 2006 jrecord@novell.com
-changed base log directory to /var/log, not /tmp
-added policy engine logs and ntpq check to ha_info
-checks correct ntp service for SLES10
-added evms.conf to evms_info
-added unique distribution list to rpm.txt
-added ocfs2_info
-get entire messages file unless over 500Mb, then only 5000 lines
-added dasd support to fs-diskio.txt
* Tue Aug  1 2006 jrecord@novell.com
-crash_info supports SLES9/10
-renamed lkcd_info to crash_info, and lkcd.txt to crash.txt
-made startup options more descriptive
-expanded oes_edir_info with _ndsdb.ini, logs and ndsd version
-log_cmd returns command exit status
-added ndstrace -c threads to oes-edir.txt
-added /etc/sysconfig/kernel to boot.txt
-optimized disk_info to use parted only
-updated iscsi_info to include SLES10 iscsitarget and open-iscsi
-added xen_info, apparmor_info, ha_info, slp_info, oes_lum_info
-get all files in /var/log/YaST2 recursively
-supports SLES10/SLED10
